#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SearchNotebooksFailed {
    #[builder(into)]
    #[serde(rename = "errorMessage")]
    error_message: String,
}
impl SearchNotebooksFailed {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(error_message: impl Into<String>) -> Self {
        Self::builder().error_message(error_message).build()
    }
    #[inline]
    pub fn error_message(&self) -> &str {
        &*self.error_message
    }
}
impl conjure_error::ErrorType for SearchNotebooksFailed {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::Internal
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:SearchNotebooksFailed"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
